# Elder Internal Ignition
### Un projet 3 EII

Alors que d'implacables ténèbres reviennent dévaster la paisible île de Procrastina, les combattants les plus aguerris partent pour une lutte sans fin, sans certitude de leur retour (mais pas tout de suite). Endormi depuis des temps immémoriaux++, le feu intérieur des anciens, puissance encore non maitrisée, s'est réveillé. Rassemblez vos forces, et menez votre groupe à la victoire ! 

Lancez vous dans ce jeu de stratégie opposant 2 joueurs, sur une carte comportant plusieurs types de cases. Contrôlez 3 personnages, mages, guerriers, voleurs, guerisseurs, et archer, et vainquez votre adversaire dans une partie au tour par tour.

## Documentation

Pour générer la documentation : en console, dans le repertoire doc, taper 'doxygen Doxyfile'.
La documentation sera générée dans le repertoire Doxygen.

Consultez le [wiki](https://gitlab.insa-rennes.fr/tacticalrpg/lemeilleurjeudumonde/wikis/home)
    
## Compilation sur Ubuntu

Tout d'abord il faut installer les dépendences :
* Code::Blocks : IDE
* SDL 1.2 : Librairie graphique
* Cmocka : Test Unitaires
* Doxygen : Pour générer les docs contenues dans les fichiers source

Dans un terminal faire :
```{r, engine='bash', count_lines}
sudo apt-get install libcmocka-dev doxygen libsdl1.2-dev codeblocks
```

Puis ouvrir le projet Code::Blocks suivant :
```{r, engine='bash', count_lines}
codeblocks ./lemeilleurjeudumonde/ElderInternalIgnition/ElderInternalIgnition_Linux.cbp
```

Compiler et exécuter.
